//Kevin Rye - 2018
//ATtiny Thing V1.0 - Arduino 1.8.5

int a = 3;
int b = 2;
int c = 1;
int d = 0;
int button = 8;
int randNum = 0;

void setup() {
  pinMode(a, OUTPUT);
  pinMode(b, OUTPUT);
  pinMode(c, OUTPUT);
  pinMode(d, OUTPUT);
  pinMode(button, INPUT);

  //set display - display '0'
  digitalWrite(d, LOW);
  digitalWrite(c, LOW);
  digitalWrite(b, LOW);
  digitalWrite(a, LOW);
}

void loop() {

  //if button is pressed, display random number
  if (digitalRead(button) == LOW ) {

    //debounce
    delay(200);

    randNum = random(10);

    switch (randNum) {
      case 9:
        digitalWrite(d, HIGH);
        digitalWrite(c, LOW);
        digitalWrite(b, LOW);
        digitalWrite(a, HIGH);
        break;
      case 8:
        digitalWrite(d, HIGH);
        digitalWrite(c, LOW);
        digitalWrite(b, LOW);
        digitalWrite(a, LOW);
        break;
      case 7:
        digitalWrite(d, LOW);
        digitalWrite(c, HIGH);
        digitalWrite(b, HIGH);
        digitalWrite(a, HIGH);
        break;
      case 6:
        digitalWrite(d, LOW);
        digitalWrite(c, HIGH);
        digitalWrite(b, HIGH);
        digitalWrite(a, LOW);
        break;
      case 5:
        digitalWrite(d, LOW);
        digitalWrite(c, HIGH);
        digitalWrite(b, LOW);
        digitalWrite(a, HIGH);
        break;
      case 4:
        digitalWrite(d, LOW);
        digitalWrite(c, HIGH);
        digitalWrite(b, LOW);
        digitalWrite(a, LOW);
        break;
      case 3:
        digitalWrite(d, LOW);
        digitalWrite(c, LOW);
        digitalWrite(b, HIGH);
        digitalWrite(a, HIGH);
        break;
      case 2:
        digitalWrite(d, LOW);
        digitalWrite(c, LOW);
        digitalWrite(b, HIGH);
        digitalWrite(a, LOW);
        break;
      case 1:
        digitalWrite(d, LOW);
        digitalWrite(c, LOW);
        digitalWrite(b, LOW);
        digitalWrite(a, HIGH);
        break;
      case 0:
        digitalWrite(d, LOW);
        digitalWrite(c, LOW);
        digitalWrite(b, LOW);
        digitalWrite(a, LOW);
        break;
    }
  }
}


